Keyboard shortcuts

Press or to navigate between chapters

Press S or / to search in the book

Press ? to show this help

Press Esc to hide this help

Upsert History

GET /upsert-history/{id}

Get all upsert history records

Retrieve all upsert history records with optional filters

    <div class="api-params-section"><h4>Path Parameters</h4><table class="api-params-table"><thead><tr><th>Name</th><th>Type</th><th>Required</th><th>Description</th></tr></thead><tbody><tr><td><strong>id</strong></td><td><code>string</code></td><td><span class="req-no">No</span></td><td>Chatflow ID to filter records by</td></tr></tbody></table><h4>Query Parameters</h4><table class="api-params-table"><thead><tr><th>Name</th><th>Type</th><th>Required</th><th>Description</th></tr></thead><tbody><tr><td><strong>order</strong></td><td><code>string</code></td><td><span class="req-no">No</span></td><td>Sort order of the results (ascending or descending)</td></tr><tr><td><strong>startDate</strong></td><td><code>string</code></td><td><span class="req-no">No</span></td><td>Filter records from this start date (inclusive)</td></tr><tr><td><strong>endDate</strong></td><td><code>string</code></td><td><span class="req-no">No</span></td><td>Filter records until this end date (inclusive)</td></tr></tbody></table></div>
    
    <div class="api-responses-section"><h4>Responses</h4><div class="api-responses-list">
        <div class="api-response-row">
            <span class="api-response-code code-success">200</span>
            <span class="api-response-desc">Successful operation</span>
            <div class="api-response-schema-toggle">Schema Detail:</div><div class="api-property-array">Array of: <div class="api-object-properties">
            <div class="api-property-row" style="margin-left: 0px;">
                <div class="api-property-meta">
                    <span class="api-property-name">id</span>
                    <span class="api-property-type">string</span>
                    <span class="api-property-optional">optional</span>
                </div>
                <div class="api-property-desc">Unique identifier for the upsert history record</div>
                <div class="api-property-example">Example: <code>"cfd531e0-82fc-11e9-bc42-526af7764f64"</code></div>
            </div>
        
            <div class="api-property-row" style="margin-left: 0px;">
                <div class="api-property-meta">
                    <span class="api-property-name">chatflowid</span>
                    <span class="api-property-type">string</span>
                    <span class="api-property-optional">optional</span>
                </div>
                <div class="api-property-desc">ID of the chatflow associated with the upsert history</div>
                <div class="api-property-example">Example: <code>"7c4e8b7a-7b9a-4b4d-9f3e-2d28f1ebea02"</code></div>
            </div>
        
            <div class="api-property-row" style="margin-left: 0px;">
                <div class="api-property-meta">
                    <span class="api-property-name">result</span>
                    <span class="api-property-type">string</span>
                    <span class="api-property-optional">optional</span>
                </div>
                <div class="api-property-desc">Result of the upsert operation, stored as a JSON string</div>
                <div class="api-property-example">Example: <code>"{\"status\":\"success\",\"data\":{\"key\":\"value\"}}"</code></div>
            </div>
        
            <div class="api-property-row" style="margin-left: 0px;">
                <div class="api-property-meta">
                    <span class="api-property-name">flowData</span>
                    <span class="api-property-type">string</span>
                    <span class="api-property-optional">optional</span>
                </div>
                <div class="api-property-desc">Flow data associated with the upsert operation, stored as a JSON string</div>
                <div class="api-property-example">Example: <code>"{\"nodes\":[],\"edges\":[]}"</code></div>
            </div>
        
            <div class="api-property-row" style="margin-left: 0px;">
                <div class="api-property-meta">
                    <span class="api-property-name">date</span>
                    <span class="api-property-type">string</span>
                    <span class="api-property-optional">optional</span>
                </div>
                <div class="api-property-desc">Date and time when the upsert operation was performed</div>
                <div class="api-property-example">Example: <code>"2024-08-24T14:15:22Z"</code></div>
            </div>
        </div></div>
        </div>
    
        <div class="api-response-row">
            <span class="api-response-code code-error">500</span>
            <span class="api-response-desc">Internal server error</span>
            
        </div>
    </div></div>
</div>
PATCH /upsert-history/{id}

Delete upsert history records

Soft delete upsert history records by IDs

    <div class="api-body-section">
            <div class="api-request-body-section">
                <h4>Request Body (application/json)</h4>
                <div class="api-object-properties">
            <div class="api-property-row" style="margin-left: 0px;">
                <div class="api-property-meta">
                    <span class="api-property-name">ids</span>
                    <span class="api-property-type">array</span>
                    <span class="api-property-optional">optional</span>
                </div>
                <div class="api-property-desc">List of upsert history record IDs to delete</div>
                
            </div>
        </div>
            </div>
        </div>
    <div class="api-responses-section"><h4>Responses</h4><div class="api-responses-list">
        <div class="api-response-row">
            <span class="api-response-code code-success">200</span>
            <span class="api-response-desc">Successfully deleted records</span>
            
        </div>
    
        <div class="api-response-row">
            <span class="api-response-code code-error">400</span>
            <span class="api-response-desc">Invalid request body</span>
            
        </div>
    
        <div class="api-response-row">
            <span class="api-response-code code-error">500</span>
            <span class="api-response-desc">Internal server error</span>
            
        </div>
    </div></div>
</div>